Subject: bug#18530: 24.3; Emacs unable to handle very large lines

From: Amit Barve <[email-masked]>
Date: Mon, 29 Sep 2014 06:56:53 +0530

Eil I accept that emacs is way powerful than vim and other
editors. Even I am also a strong supporter of emacs.

I filed this bug because for me it was very difficult to work
with "long lines" and I don't want to use some other editor
just for this purpose.

I think if we can get over this limitation of emacs it will
make emacs a little more powerful!

On Sun, Sep 28, 2014 at 9:51 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Alexis <[email-masked]>
> > Date: Sun, 28 Sep 2014 20:10:45 +1000
> > Cc: Amit Barve <[email-masked]>
> >
> > *nod* Yes, when i open test.txt in Vim, moving to the end of the line
> > with $, or to the beginning of the line with ^, both take less than a
> > second. And cursor movement with j, k etc. is basically
> > responsive. Whereas in Emacs, trying to move point up or down results in
> > 20+ seconds of lag before point is actually moved.
>
> Does Vim support different font sizes on the same line, inline images,
> display properties, overlays, invisible text, etc.?  These features is
> what makes this particular case hard; other editors don't need to
> handle all that complexity.
>